global gMovieSprite, gMovieDuration, gReturnFrame

on startMovie
  unLoad()
  unLoadCast()
  set gMovieSprite to 20
end

on legalButton whichSprite
  repeat while the stillDown
    set gReturnFrame to marker(0)
    return 1
  end repeat
end

on stopAllQT
  repeat with x = 1 to 48
    if the type of sprite x > 0 then
      if the castType of cast the castNum of sprite x = #digitalVideo then
        set the movieRate of sprite x to 0
      end if
    end if
  end repeat
end

on find whichCast, startFrame, endFrame
  repeat with x = startFrame to endFrame
    go(x)
    repeat with y = 1 to 48
      if the type of sprite y > 0 then
        if the castNum of sprite y = whichCast then
          put "Cast member " & whichCast & " was found in frame " & x & ", in channel " & y & "."
        end if
      end if
    end repeat
  end repeat
end

on delayFor howLong
  set howLong to the timer + howLong
  repeat while the timer < howLong
    updateStage()
  end repeat
end

on returnFrame whichFrame
  stopAllQT()
  set whichSprite to gMovieSprite + 1
  puppetSound("ReturnB")
  repeat with x = 1 to 2
    set the castNum of sprite whichSprite to the number of cast "returnArrow0"
    updateStage()
    delayFor(15)
    set the castNum of sprite whichSprite to the number of cast "returnArrow1"
    updateStage()
    delayFor(15)
  end repeat
  blackFrame()
  unLoad()
  unLoadCast()
  go(whichFrame)
end

on pressButton whichSprite, whichSound, whichHighlightCast, whichFrame
  stopAllQT()
  puppetSound(whichSound)
  repeat with x = 1 to 2
    set the castNum of sprite whichSprite to the number of cast "MOREBON.GIF"
    set the castNum of sprite 7 to the number of cast "text0"
    updateStage()
    delayFor(15)
    set the castNum of sprite whichSprite to the number of cast "MOREBOFF.GIF"
    set the castNum of sprite 7 to the number of cast whichHighlightCast
    updateStage()
    delayFor(15)
  end repeat
  blackFrame()
  go(whichFrame)
end

on blackFrame
  repeat with x = 1 to 48
    set the locV of sprite x to -500
  end repeat
  puppetTransition(50, 0, 12)
  updateStage()
  puppetTransition(0)
end

on checkIt
  when keyDown then checkKey
  repeat while not (the shiftDown)
    updateStage()
  end repeat
end

on checkKey
  set userKey to the key
  set userKeyCode to the keyCode
  put userKey, userKeyCode
end

on playSound whichSound
  puppetSound(whichSound)
  updateStage()
  repeat while the soundBusy of 1
    updateStage()
  end repeat
end
